<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-floating-back-button (buttonClicked)="goBack()">
  <ng-template #scrolled>
    <div class="text-sm font-semibold flex items-center gap-2">
      <div class="text-primary-500">{{ item?.title }}:</div>
      <div class="text-secondary-900">Contracts</div>
    </div>
  </ng-template>
  <ng-container *ngLet="initializing$ | async as initializing">
    <app-table-skeleton *ngIf="initializing"> </app-table-skeleton>
    <div *ngIf="!initializing" class="w-full h-full flex flex-col">
      <div class="w-full flex items-center gap-4">
        <div class="text-xl font-semibold flex items-center gap-2 grow">
          <div class="text-primary-500">{{ item?.title }}:</div>
          <div class="text-secondary-900">Contracts</div>
        </div>
        <app-role-checker [allowedRoles]="[admin, nodeOperator]">
          <ng-template let-authorized>
            <div class="flex flex-col gap-4 items-end justify-end">
              <p-button
                icon="fa fa-file-signature"
                label="Contract Item"
                (onClick)="contractItem()"
                [disabled]="privacyTooLow || !authorized ? true : false"
              ></p-button>
              <app-info *ngIf="!authorized" message="Insufficient role to contract item"></app-info>
              <div *ngIf="authorized">
                <app-info *ngIf="privacyTooLow" message="Privacy level of the item is too low"></app-info>
              </div>
            </div>
          </ng-template>
        </app-role-checker>
      </div>
      <div class="pt-6">
        <p-tabMenu [model]="items">
          <ng-template pTemplate="item" let-item>
            <div
              class="flex items-center gap-3 p-menuitem-link cursor-pointer leading-none"
              [routerLink]="item.routerLink"
            >
              <i [class]="item.icon"></i>
              <div class="flex items-center gap-1">
                <div>{{ item.label }}</div>
                <ng-container *ngLet="$any(item.contractIdentities$ | async) as identities">
                  <div>({{ identities?.length }})</div>
                </ng-container>
              </div>
              <div *ngIf="item.indicate" class="relative">
                <div class="absolute top-0 left-0 animate-ping rounded-full bg-yellow size-2"></div>
                <div class="rounded-full bg-yellow size-2"></div>
              </div>
            </div>
          </ng-template>
        </p-tabMenu>
      </div>
      <div class="w-full px-3 pt-3">
        <router-outlet></router-outlet>
      </div>
    </div>
  </ng-container>
</app-floating-back-button>
